## ros-one-jsk-recognition-utils 1.2.19-6jammy.20251025.2108

=== debian/changelog ===
ros-one-jsk-recognition-utils (1.2.19-6jammy.20251025.2108) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 25 Oct 2025 21:08:00 +0000

ros-one-jsk-recognition-utils (1.2.19-0jammy) jammy; urgency=high

  * Merge pull request #2879 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2879> from jsk-ros-pkg/add_license
    add LICENSE
  * add LICENSE
  * ad LICENSE
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 14 May 2025 00:00:00 -0000

ros-one-jsk-recognition-utils (1.2.18-0jammy) jammy; urgency=high

  * Set RULE_LAUNCH_COMPILE/LINK to ccache if CMAKE_VERSION < 3.4 (#2738 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2738>)
  * use cv2.putText if font is not found (#2868 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2868>)
  * filter None image in jsk_recognition_utils/visualize.py (#2856 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2856>)
  * CI: update ROS-O config rules (#2870 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2870>)
  * Delete copy constructor of TfListenerSingleton (#2862 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2862>)
  * Add missing ros_environment dependency to package.xml (#2837 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2837>)
  * [jsk_recognition_utils] add OpenCV to catkin_depends (#2823 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2823>)
  * Contributors: Jeremy Kolb, Kei, Shingo Kitagawa, Yoshiki Obinata, Yuki Furuta

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-jsk-recognition-utils (1.2.17-0jammy) jammy; urgency=high

  * https://github.com/jsk-ros-pkg/jsk_recognition/pull/2648 requires jsk_data package (#2805 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2805>)
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 14 Nov 2023 00:00:00 -0000

ros-one-jsk-recognition-utils (1.2.16-0jammy) jammy; urgency=high

  * [jsk_recognition_utils] add cython3 depend when ROS_PYTHON_VERSION==3 (#2771 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2771>)
  * use python3-shapely for ROS_PHTHON_VERSION==3 (#2756 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2756>)
  * use catkin_install_python to install python scripts under node_scripts/ scripts/ (#2743 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2743>)
  * Fixed typo of Software License Agreement. and/o2r to and/or (#2727 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2727>)
  * [jsk_perception/mask_image_to_rect] Add rect_type option to publish rects containing each contour of mask image (#2728 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2728>)
  * [jsk_recognition_utils] Add jsk_topic_tools header file to check jsk_topic_tools' version (#2721 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2721>)
  * [jsk_perception/image_publisher.py] Support bgr16, rgb16, bgra16 and rgba16 encodings and compressedDepth for 32FC1 depth image (#2714 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2714>)
  * Add CRAFT character detection node and OCR node. (#2650 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2650>)
  * work around permission issue / integrate all yaml to one (#2677 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2677>)
  * [jsk_recognition_utils] Add polygon_array_to_box_array node (#2647 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2647>)
  * Add modified version of draw rects for non ascii characters (#2648 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2648>)
  * [jsk_recognition_utils] Enable publishing coefficients array (#2646 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2646>)
  * Replace color.pyx with color.py for better compatibility (#2633 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2633>)
  * Using pcl::Vertices instead of std::vector since type of point indices changes between PCL versions. (#2627 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2627>)
  * support ~image_transport for static_virtual_camera (#2569 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2569>)
  * [jsk_recognition_utils] use try to import chainer depend modules (#2565 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2565>)
  * Contributors: Aoi Nakane, Baltashov Ilia, Iori Yanokura, Kei Okada, Kentaro Wada, Naoto Tsukamoto, Naoya Yamaguchi, Shingo Kitagawa, Yoshiki Obinata

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 10 Nov 2023 00:00:00 -0000

ros-one-jsk-recognition-utils (1.2.15-0jammy) jammy; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 10 Oct 2020 00:00:00 -0000

ros-one-jsk-recognition-utils (1.2.14-0jammy) jammy; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 09 Oct 2020 00:00:00 -0000

ros-one-jsk-recognition-utils (1.2.13-0jammy) jammy; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 08 Oct 2020 00:00:00 -0000

ros-one-jsk-recognition-utils (1.2.12-0jammy) jammy; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 03 Oct 2020 00:00:00 -0000

ros-one-jsk-recognition-utils (1.2.11-0jammy) jammy; urgency=high

  * Add ssd to bounding box sample (#2513 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2513>)
    
      * rename launch and rvizconfig
      * rename to sample_table_rects_to_bounding_box.launch
      * update rviz config
      * refactor launch files
      * add ssd output arg
      * enabe to put out the bounding box
      * try to make ssd to bbox sample
    
  * Include cython3 when searching (#2531 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2531>)
  * [jsk_recognition_utils] add rect_array_to_cluster_point_indices.py (#2511 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2511>)


## ros-one-jsk-recognition-utils 1.2.19-10jammy.20251208.0043

=== debian/changelog ===
ros-one-jsk-recognition-utils (1.2.19-10jammy.20251208.0043) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2025 00:43:14 +0000

## ros-one-jsk-recognition-utils 1.2.19-10noble.20251208.1131

=== debian/changelog ===
ros-one-jsk-recognition-utils (1.2.19-10noble.20251208.1131) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2025 11:31:22 +0000

ros-one-jsk-recognition-utils (1.2.19-0noble) noble; urgency=high

  * Merge pull request #2879 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2879> from jsk-ros-pkg/add_license
    add LICENSE
  * add LICENSE
  * ad LICENSE
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 14 May 2025 00:00:00 -0000

ros-one-jsk-recognition-utils (1.2.18-0noble) noble; urgency=high

  * Set RULE_LAUNCH_COMPILE/LINK to ccache if CMAKE_VERSION < 3.4 (#2738 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2738>)
  * use cv2.putText if font is not found (#2868 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2868>)
  * filter None image in jsk_recognition_utils/visualize.py (#2856 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2856>)
  * CI: update ROS-O config rules (#2870 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2870>)
  * Delete copy constructor of TfListenerSingleton (#2862 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2862>)
  * Add missing ros_environment dependency to package.xml (#2837 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2837>)
  * [jsk_recognition_utils] add OpenCV to catkin_depends (#2823 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2823>)
  * Contributors: Jeremy Kolb, Kei, Shingo Kitagawa, Yoshiki Obinata, Yuki Furuta

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-jsk-recognition-utils (1.2.17-0noble) noble; urgency=high

  * https://github.com/jsk-ros-pkg/jsk_recognition/pull/2648 requires jsk_data package (#2805 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2805>)
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 14 Nov 2023 00:00:00 -0000

ros-one-jsk-recognition-utils (1.2.16-0noble) noble; urgency=high

  * [jsk_recognition_utils] add cython3 depend when ROS_PYTHON_VERSION==3 (#2771 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2771>)
  * use python3-shapely for ROS_PHTHON_VERSION==3 (#2756 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2756>)
  * use catkin_install_python to install python scripts under node_scripts/ scripts/ (#2743 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2743>)
  * Fixed typo of Software License Agreement. and/o2r to and/or (#2727 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2727>)
  * [jsk_perception/mask_image_to_rect] Add rect_type option to publish rects containing each contour of mask image (#2728 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2728>)
  * [jsk_recognition_utils] Add jsk_topic_tools header file to check jsk_topic_tools' version (#2721 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2721>)
  * [jsk_perception/image_publisher.py] Support bgr16, rgb16, bgra16 and rgba16 encodings and compressedDepth for 32FC1 depth image (#2714 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2714>)
  * Add CRAFT character detection node and OCR node. (#2650 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2650>)
  * work around permission issue / integrate all yaml to one (#2677 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2677>)
  * [jsk_recognition_utils] Add polygon_array_to_box_array node (#2647 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2647>)
  * Add modified version of draw rects for non ascii characters (#2648 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2648>)
  * [jsk_recognition_utils] Enable publishing coefficients array (#2646 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2646>)
  * Replace color.pyx with color.py for better compatibility (#2633 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2633>)
  * Using pcl::Vertices instead of std::vector since type of point indices changes between PCL versions. (#2627 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2627>)
  * support ~image_transport for static_virtual_camera (#2569 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2569>)
  * [jsk_recognition_utils] use try to import chainer depend modules (#2565 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2565>)
  * Contributors: Aoi Nakane, Baltashov Ilia, Iori Yanokura, Kei Okada, Kentaro Wada, Naoto Tsukamoto, Naoya Yamaguchi, Shingo Kitagawa, Yoshiki Obinata

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 10 Nov 2023 00:00:00 -0000

ros-one-jsk-recognition-utils (1.2.15-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 10 Oct 2020 00:00:00 -0000

ros-one-jsk-recognition-utils (1.2.14-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 09 Oct 2020 00:00:00 -0000

ros-one-jsk-recognition-utils (1.2.13-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 08 Oct 2020 00:00:00 -0000

ros-one-jsk-recognition-utils (1.2.12-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 03 Oct 2020 00:00:00 -0000

ros-one-jsk-recognition-utils (1.2.11-0noble) noble; urgency=high

  * Add ssd to bounding box sample (#2513 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2513>)
    
      * rename launch and rvizconfig
      * rename to sample_table_rects_to_bounding_box.launch
      * update rviz config
      * refactor launch files
      * add ssd output arg
      * enabe to put out the bounding box
      * try to make ssd to bbox sample
    
  * Include cython3 when searching (#2531 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2531>)
  * [jsk_recognition_utils] add rect_array_to_cluster_point_indices.py (#2511 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2511>)


## ros-one-jsk-recognition-utils 1.2.19-12jammy.20251215.2155

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jsk_recognition_utils)

# Use ccache if installed to make it fast to generate object files
if (${CMAKE_VERSION} VERSION_LESS 3.4)
  find_program(CCACHE_FOUND ccache)
  if(CCACHE_FOUND)
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
    set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
  endif()
endif()

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  cv_bridge
  dynamic_reconfigure
  jsk_recognition_msgs
  pcl_ros
  pcl_msgs
  eigen_conversions
  message_generation
  rostest
  tf_conversions
  tf
  tf2_ros
  image_geometry
  sensor_msgs
  geometry_msgs
  jsk_topic_tools
  visualization_msgs
)

configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/include/jsk_recognition_utils/jsk_topic_tools_version.h.in
  ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}/jsk_recognition_utils/jsk_topic_tools_version.h)


# ------------------------------------------------------------------------------------
# Download
# ------------------------------------------------------------------------------------

# download and install font data
add_custom_target(${PROJECT_NAME}_install_font_data ALL COMMAND python$ENV{ROS_PYTHON_VERSION} ${PROJECT_SOURCE_DIR}/scripts/install_font_data.py)

catkin_python_setup()

generate_dynamic_reconfigure_options(
  cfg/PoseArrayToPose.cfg
  cfg/PolygonArrayToBoxArray.cfg
  cfg/PolygonArrayToPolygon.cfg
)

catkin_package(
 INCLUDE_DIRS include
 LIBRARIES jsk_recognition_utils
 CATKIN_DEPENDS cv_bridge jsk_recognition_msgs pcl_ros visualization_msgs message_runtime
)

# Cythonize pyx files
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
include(UseCython)
add_subdirectory(python/${PROJECT_NAME})

find_package(OpenCV REQUIRED core imgproc)
find_package(PCL REQUIRED)
find_package(PkgConfig)
pkg_check_modules(yaml_cpp yaml-cpp REQUIRED)
IF(${yaml_cpp_VERSION} VERSION_LESS "0.5.0")
## indigo yaml-cpp : 0.5.0 /  hydro yaml-cpp : 0.3.0
  add_definitions("-DUSE_OLD_YAML")
ENDIF()
if(${CMAKE_CXX_COMPILER_ID} STREQUAL "GNU")
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -z defs")
endif()
include_directories(
  include ${catkin_INCLUDE_DIRS}
)
link_libraries(${catkin_LIBRARIES} ${OpenCV_LIBRARIES} ${PCL_LIBRARIES} yaml-cpp)

add_library(jsk_recognition_utils SHARED
  src/grid_index.cpp
  src/grid_map.cpp
  src/grid_line.cpp
  src/geo_util.cpp
  src/random_util.cpp
  src/pcl_ros_util.cpp
  src/pcl_conversion_util.cpp
  src/pcl_util.cpp
  src/tf_listener_singleton.cpp
  src/pcl/ear_clipping_patched.cpp
  src/sensor_model_utils.cpp
  src/cv_utils.cpp
  src/rgb_colors.cpp
  src/geo/line.cpp
  src/geo/segment.cpp
  src/geo/polyline.cpp
  src/geo/plane.cpp
  src/geo/polygon.cpp
  src/geo/convex_polygon.cpp
  src/geo/cube.cpp
  src/geo/cylinder.cpp
  src/geo/grid_plane.cpp
  src/time_util.cpp
  )

if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  if("$ENV{ROS_DISTRO}" STRGREATER "indigo") # kinetic and later uses qt5
    find_package(Qt5Widgets REQUIRED)
    set(QT_LIBRARIES Qt5::Widgets)
  endif()
  add_rostest_gtest(test_tf_listener_singleton test/tf_listener_singleton.test src/tests/test_tf_listener_singleton.cpp)
  target_link_libraries(test_tf_listener_singleton ${PROJECT_NAME} ${catkin_LIBRARIES})
  catkin_add_gtest(test_cv_utils src/tests/test_cv_utils.cpp)
  target_link_libraries(test_cv_utils ${PROJECT_NAME} ${OpenCV_LIBRARIES})
  catkin_add_gtest(test_rgb_colors src/tests/test_rgb_colors.cpp)
  target_link_libraries(test_rgb_colors ${PROJECT_NAME} ${OpenCV_LIBRARIES})
  if("$ENV{ROS_DISTRO}" STRGREATER "hydro")
    # FIXME: jsk_tools/test_topic_published.py does not work on hydro travis/jenkins
    # https://github.com/jsk-ros-pkg/jsk_common/pull/1293#issuecomment-164158260
    add_rostest(sample/sample_add_bounding_box_array.launch ARGS gui:=false)
    add_rostest(sample/sample_bounding_box_array_publisher.launch ARGS gui:=false)
    add_rostest(test/add_cluster_indices.test)
    add_rostest(test/image_16uc1_to_32fc1.test)
    add_rostest(test/polygon_array_publisher.test)
    add_rostest(test/polygon_array_to_box_array.test)
    add_rostest(test/polygon_array_to_polygon.test)
    add_rostest(test/pose_array_to_pose.test)
    add_rostest(test/rect_array_to_polygon_array.test)
    add_rostest(test/static_virtual_camera.test)
  endif()
endif()

# From https://github.com/jsk-ros-pkg/jsk_recognition/pull/2345
# Install header files directly into ${CATKIN_PACKAGE_INCLUDE_DESTINATION}.
# If the package has setup.py and modules under src/${PROJECT_NAME}/,
# install python executables directly into ${CATKIN_PACKAGE_BIN_DESTINATION}.
# However, if it doesn't have setup.py, directories including python executables
# should be installed recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Also, other directories like 'launch' or 'sample' must be installed
# recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Be careful that 'launch' and 'launch/' are different: the former is directory
# and the latter is each content.
install(TARGETS jsk_recognition_utils
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h" # Ignore *_version.h.in files
)

install(DIRECTORY sample test
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)
if($ENV{ROS_DISTRO} STREQUAL "indigo") # on noetic it needs catkin_install_python to support Python3 and it does not work on indigo for some reason...
install(DIRECTORY node_scripts
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  )
else()
install(DIRECTORY node_scripts
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  FILES_MATCHING
  PATTERN "*"
  PATTERN "*/*.py" EXCLUDE
  )
file(GLOB NODE_SCRIPT_PROGRAMS node_scripts/*.py)
catkin_install_python(
  PROGRAMS ${NODE_SCRIPT_PROGRAMS}
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/node_scripts
)
endif()

=== debian/changelog ===
ros-one-jsk-recognition-utils (1.2.19-12jammy.20251215.2155) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 15 Dec 2025 21:55:42 +0000

=== debian/control ===
Source: ros-one-jsk-recognition-utils
Section: misc
Priority: optional
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), cython3, libyaml-cpp-dev, python3-setuptools, qtbase5-dev, ros-one-catkin, ros-one-cv-bridge, ros-one-dynamic-reconfigure, ros-one-eigen-conversions, ros-one-geometry-msgs, ros-one-image-geometry, ros-one-jsk-data, ros-one-jsk-recognition-msgs, ros-one-jsk-topic-tools, ros-one-message-generation, ros-one-pcl-msgs, ros-one-pcl-ros, ros-one-ros-environment, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-tf, ros-one-tf-conversions, ros-one-tf2-ros, ros-one-visualization-msgs
Homepage: https://jsk-docs.readthedocs.io/projects/jsk_recognition/en/latest/jsk_recognition_utils
Standards-Version: 3.9.2

Package: ros-one-jsk-recognition-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, python3-shapely, python3-skimage, ros-one-cv-bridge, ros-one-eigen-conversions, ros-one-geometry-msgs, ros-one-image-geometry, ros-one-image-view, ros-one-jsk-recognition-msgs, ros-one-jsk-topic-tools, ros-one-message-runtime, ros-one-pcl-msgs, ros-one-pcl-ros, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-tf, ros-one-tf-conversions, ros-one-tf2-ros, ros-one-visualization-msgs
Description: C++ library about sensor model, geometrical modeling and perception.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-jsk-recognition-utils//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-jsk-recognition-utils 1.2.19-12jammy.20260106.2134

=== debian/changelog ===
ros-one-jsk-recognition-utils (1.2.19-12jammy.20260106.2134) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 21:34:45 +0000

## ros-one-jsk-recognition-utils 1.2.19-12jammy.20260221.2337

=== python/jsk_recognition_utils/CMakeLists.txt ===
# Get NumPy and Cython versions
execute_process(
  COMMAND python$ENV{ROS_PYTHON_VERSION} -c "import numpy; print(numpy.__version__)"
  OUTPUT_VARIABLE NUMPY_VERSION
  OUTPUT_STRIP_TRAILING_WHITESPACE
)

execute_process(
  COMMAND python$ENV{ROS_PYTHON_VERSION} -c "import Cython; print(Cython.__version__)"
  OUTPUT_VARIABLE CYTHON_VERSION
  OUTPUT_STRIP_TRAILING_WHITESPACE
)

message(STATUS "NumPy version: ${NUMPY_VERSION}")
message(STATUS "Cython version: ${CYTHON_VERSION}")

# --- Parse version strings safely ---
# --- Compatibility logic (CMake 3.5+) ---
function(version_to_number ver_str out_var)
  string(REPLACE "." ";" _parts ${ver_str})
  list(LENGTH _parts _len)
  list(GET _parts 0 _major)
  if(_len GREATER 1)
    list(GET _parts 1 _minor)
  else()
    set(_minor 0)
  endif()
  if(_len GREATER 2)
    list(GET _parts 2 _patch)
  else()
    set(_patch 0)
  endif()
  math(EXPR _version_num "${_major} * 10000 + ${_minor} * 100 + ${_patch}")
  set(${out_var} ${_version_num} PARENT_SCOPE)
endfunction()

# Compare versions
# This noexcept modifier was added in newer versions of Cython, and support for it is required when compiling with newer versions of NumPy (1.26+).
# Update your Cython to a recent version (>= 0.29.30 or 3.0+ recommended):


# Simulate GREATER_EQUAL using GREATER or EQUAL
set(SKIP_NMS FALSE)
version_to_number("${NUMPY_VERSION}" NUMPY_VER)
if(NUMPY_VER GREATER 12600 OR NUMPY_VER EQUAL 12600)
  version_to_number("${CYTHON_VERSION}" CYTHON_VER)
  if(CYTHON_VER LESS 2930)
    set(SKIP_NMS TRUE)
  endif()
endif()

if(SKIP_NMS)
  message(WARNING "NumPy >= 1.26.0 requires newer version of Cython >= 0.29.30, skip compile nms.pyx")
else()
  # Your normal logic here

if(NOT DEFINED Numpy_INCLUDE_DIRS)
  # Get Numpy include directories
  execute_process(
    COMMAND python$ENV{ROS_PYTHON_VERSION} -c "import sys, numpy; sys.stdout.write(numpy.get_include())"
    OUTPUT_VARIABLE Numpy_INCLUDE_DIRS
    RESULT_VARIABLE retcode)
  if(NOT ${retcode} EQUAL 0)
    message(FATAL_ERROR "Failed to get Numpy include dirs by numpy.get_include(). Exit code: ${retcode}")
  endif()
endif()
# Compile nms.pyx
include_directories(${Numpy_INCLUDE_DIRS})
cython_add_module(nms nms.pyx)
set_target_properties(nms PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION})
install(TARGETS nms
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION}
)

endif()

=== debian/changelog ===
ros-one-jsk-recognition-utils (1.2.19-12jammy.20260221.2337) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 21 Feb 2026 23:37:30 +0000

## ros-one-jsk-recognition-utils 1.2.19-12noble.20251215.2154

=== debian/changelog ===
ros-one-jsk-recognition-utils (1.2.19-12noble.20251215.2154) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 15 Dec 2025 21:54:03 +0000

## ros-one-jsk-recognition-utils 1.2.19-12noble.20260106.2142

=== debian/changelog ===
ros-one-jsk-recognition-utils (1.2.19-12noble.20260106.2142) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 21:42:39 +0000

## ros-one-jsk-recognition-utils 1.2.19-12noble.20260222.0044

=== debian/changelog ===
ros-one-jsk-recognition-utils (1.2.19-12noble.20260222.0044) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 22 Feb 2026 00:44:12 +0000
